Last Comment Bug 665538 - Can't paste url into Link Location input field of Link Properties window, standard right-click context menu is missing
: Can't paste url into Link Location input field of Link Properties window, sta...
Status: RESOLVED FIXED
[fixed by bug 642420][workaround: use...
: regression
Product: MailNews Core
Classification: Components
Component: Composition (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 6.0
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
: 669181 670520 673709 673745 675071 676564 (view as bug list)
Depends on:
Blocks: 642420
  Show dependency treegraph
 
Reported: 2011-06-20 07:21 PDT by Mitch Fleming
Modified: 2014-07-15 06:39 PDT (History)
13 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
+
fixed
+
fixed


Attachments

Description Mitch Fleming 2011-06-20 07:21:35 PDT
User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0.1) Gecko/20100101 Firefox/4.0.1
Build Identifier: 5.0b

When I try to paste a url into the link window it will not let me. 

Reproducible: Always

Steps to Reproduce:
1.Go to write click link icon
2.type title to link
3.right click to paste link into line.

Actual Results:  
get a message "no named anchors or headings on this page".

Expected Results:  
right click and paste url into link window
Comment 1 Ludovic Hirlimann [:Usul] 2011-06-20 08:43:41 PDT
This Works For Me in Mozilla/5.0 (Macintosh; Intel Mac OS X 10.5; rv:5.0) Gecko/20110620 Thunderbird/5.0b2pre.

Does it work in -safe-mode (see http://support.mozillamessaging.com/en-US/kb/Safe-Mode) ?
Comment 2 rsx11m 2011-06-29 10:12:57 PDT
Confirmed on both Linux and Windows 7 platforms, the context menu is missing in the Link Location field. Instead you get the NoNamedAnchorsOrHeadings message which is supposed to show up if you click on the drop-down menu. Ctrl+V still works after clicking into the text field to focus it.

Last build I have for which the context menu still works:
Mozilla/5.0 (X11; Linux x86_64; rv:2.0pre) Gecko/20110404 Thunderbird/3.3a4pre

First build for which it does no longer work for me:
Mozilla/5.0 (X11; Linux x86_64; rv:5.0a2) Gecko/20110504 Thunderbird/3.3a4pre

Also not working on today's 7.0a1 nightly, so valid for trunk.
Comment 3 rsx11m 2011-06-29 10:36:56 PDT
Also observed in SeaMonkey 2.2 beta 2 (X11; Linux x86_64; rv:5.0) Gecko/20110626 but not in the SeaMonkey 2.1 release build. Thus, possibly a Gecko 2.0/5.0 issue given that there are no related editor/ui changes. Moving to MailNews Core.
Comment 4 Jens Hatlak (:InvisibleSmiley) 2011-06-29 11:13:04 PDT
So this is about the Link Properties window, and there is a context menu, just not the usual one. Adapting summary.

It's the same with SeaMonkey Composer (the HTML page editor), which is using the same file (chrome://editor/content/EdLinkProps.xul).

The input field is a textbox element, ID hrefInput, class uri-element, type autocomplete.

Neil, I'd bet you remember what caused this. ;-)
Comment 5 Ian Neal 2011-06-29 14:56:39 PDT
Comparing this to url bar, where the menupopup sits in xul is different.
Comment 6 neil@parkwaycc.co.uk 2011-06-29 16:02:33 PDT
Fallout from bug 642420, which we'll need to back out...
Comment 7 Serge Gautherie (:sgautherie) 2011-06-29 17:40:09 PDT
(In reply to comment #5)
> Comparing this to url bar, where the menupopup sits in xul is different.

Would there be a way to fix this issue on the "client" code side (later)?

(In reply to comment #6)
> Fallout from bug 642420, which we'll need to back out...

I assume this is at least the easiest solution (in order to release SeaMonkey 2.2 (and TB 3.3) asap).
Comment 8 rsx11m 2011-06-29 18:37:12 PDT
Serge, Thunderbird 5.0 (was 3.3) is out already, thus too late for it.
However, the fix should land on mozilla-aurora at least...
Comment 9 rsx11m 2011-06-29 18:41:59 PDT
I see, SeaMonkey 2.2 has its own relbranch on mozilla-beta, so this should work without making the Firefox people unhappy.
Comment 10 neil@parkwaycc.co.uk 2011-06-30 01:23:41 PDT
(In reply to comment #7)
> (In reply to comment #5)
> > Comparing this to url bar, where the menupopup sits in xul is different.
> Would there be a way to fix this issue on the "client" code side (later)?
I'm not sure what you mean; the menupopup is needed for the dropmarker, however the XBL has to be careful not to insert it as a child of the textbox-input-box because that makes it override the context menu.
Comment 11 Mark Banner (:standard8) 2011-06-30 04:24:19 PDT
Note that keyboard shortcuts still works on Mac (cmd-V) at least.
Comment 12 Serge Gautherie (:sgautherie) 2011-06-30 04:49:23 PDT
(In reply to comment #10)
> (In reply to comment #7)
> > Would there be a way to fix this issue on the "client" code side (later)?
> I'm not sure what you mean

I don't have any specific clue: I simply meant something like "without reverting bug 642420 (XPFE autocomplete.xml)"...
Comment 13 rsx11m 2011-07-04 09:37:52 PDT
*** Bug 669181 has been marked as a duplicate of this bug. ***
Comment 14 rsx11m 2011-07-10 15:51:31 PDT
*** Bug 670520 has been marked as a duplicate of this bug. ***
Comment 15 rsx11m 2011-07-13 14:49:28 PDT
This was fixed by bug 642420:
 - TB 7.0, SM 2.4: http://hg.mozilla.org/mozilla-central/rev/29bc151be813
 - TB 6.0, SM 2.3: http://hg.mozilla.org/releases/mozilla-beta/rev/a49dce91dc3c

The push for mozilla-central was migrated to mozilla-aurora with the last cycle, thus all versions are covered now.
Comment 16 rsx11m 2011-07-23 19:42:35 PDT
*** Bug 673709 has been marked as a duplicate of this bug. ***
Comment 17 Ian Neal 2011-07-29 10:19:14 PDT
*** Bug 675071 has been marked as a duplicate of this bug. ***
Comment 18 Ian Neal 2011-07-29 14:02:36 PDT
*** Bug 673745 has been marked as a duplicate of this bug. ***
Comment 19 rsx11m 2011-08-04 12:58:14 PDT
*** Bug 676564 has been marked as a duplicate of this bug. ***
Comment 20 David A. Marks 2014-07-15 06:36:11 PDT
This problem has reappeared in Daily 33.0a1 in both normal and safe modes.  If the keyboard workaround is "Control+P" that does not work either.
Comment 21 Serge Gautherie (:sgautherie) 2014-07-15 06:39:48 PDT
(In reply to David A. Marks from comment #20)
> This problem has reappeared

Please, file a new bug. (This one is archived now.)

Note You need to log in before you can comment on or make changes to this bug.